Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229284 - setroubleshoot crashes when syslog is unavailable
Summary: setroubleshoot crashes when syslog is unavailable
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 22:35 UTC by Davide Bolcioni
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-27 21:26:11 UTC


Attachments (Terms of Use)
Python traceback (deleted)
2007-02-19 22:35 UTC, Davide Bolcioni
no flags Details

Description Davide Bolcioni 2007-02-19 22:35:53 UTC
Description of problem: Under the circumstances described in bug #229283, 
setroubleshoot fails to start on boot and displays a traceback on the console.


Version-Release number of selected component (if applicable):
setroubleshoot-1.7.1-1.fc6

How reproducible:
always


Steps to Reproduce:
1. chcon -t rpm_script_tmp_t /etc/services
2. service syslog restart
3. setroubleshootd
  
Actual results:


Expected results:


Additional info:

Comment 1 Davide Bolcioni 2007-02-19 22:35:53 UTC
Created attachment 148374 [details]
Python traceback

Comment 2 John Dennis 2007-09-27 21:26:11 UTC
cleaning out old bugs. This was fixed a while ago, not sure about the FC-6
version, but in current versions all that happens is this is written to stderr:

exception when creating syslog handler: (2, 'No such file or directory')

and then everything continues normally.

So I'm going to close this out, I'd close it as CURRENT RELEASE except it was
fixed so long ago I don't know the version number so I'm just closing it RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.